--- a/script/init.d/ethercat Fri Aug 10 15:27:08 2007 +0000
+++ b/script/init.d/ethercat Thu Sep 13 11:08:46 2007 +0000
@@ -102,6 +102,7 @@
{
if [ -r /etc/rc.status ]; then
rc_failed
+ rc_status -v
rc_exit
else
echo " failed"
@@ -111,6 +112,20 @@
#------------------------------------------------------------------------------
+function exit_dead()
+{
+ if [ -r /etc/rc.status ]; then
+ rc_failed
+ rc_status -v
+ rc_exit
+ else
+ echo " dead"
+ exit 1
+ fi
+}
+
+#------------------------------------------------------------------------------
+
function parse_mac_address()
{
if [ -z "${1}" ]; then
@@ -228,7 +243,7 @@
if [ ${MASTERS_RUNNING} -eq 0 -a ${MASTERS_IDLE} -eq 0 ]; then
exit_running
else
- exit_fail
+ exit_dead
fi
;;